
###########################################################################################
##      					Mundo Choc Cac
##  Author : 
##	Home Page 	: http://qt-project.org/wiki/Build_Qt5_mysql_plugin_for_Android
##  Author    	: Mynor Rene Choc Cac <mynorrene@choccac.com>
##	Home Page 	: http://www.mynorrene.choccac.com
##  Project   	: Driver Mysql
##  Date      	: 2015-06-08T16:06:39
##  License   	: GPL3 and Digia
##  Comment   	: none
##  Plataform 	: android_armv5, android_armv7 y android_x86.
##  FileName  	: libqsqlmysql.so
##  Dependency	: 	libmariadb.so
## 					liblog.so
##					libz.so
##					libdl.so
##					libstdc++.so
##					libm.so
##					libc.so
##  This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
##  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
## 
###########################################################################################
##http://qt-project.org/wiki/Build_Qt5_mysql_plugin_for_Android

Compilacion de driver de mysql android_armv5, android_armv7 y android_x86.

  configuracion para fase de compilacion:
  
1. Sdk Qt  http://www.qt.io/download-open-source/#section-2

	Aqui es donde se incluira el directorio donde tenemos Qt.
	Notose que al final no lleva el barra "/".
	La version que se uso fue beta(http://download.qt.io/development_releases/qt/5.5/5.5.0-beta/) o la version estable 5.4.2, ambos fueron con soporte para android.	
	ejemplo: lugarSr="/home/"$USER"/Qt5.5.0/5.5"
	o
	ejemplo: lugarSr="/home/tu_usuario/Qt5.5.0/5.5"
	
	Recuerda que aqui supones que lo hemos instalado en nuestro home Qt.

2. NDK https://developer.android.com/intl/es/ndk/downloads/index.html
	Se usura esta version pero puede usar una version anterior o posterior, recuerda bajar el ndk adecuado segun sea 64 bits o 32 bits.
	Notose que al final no lleva el barra "/".
	ejemplo: miSdk="/home/"$USER"/Android/android-ndk-r10e"
	o
	ejemplo: miSdk="/home/tu_usario/Android/android-ndk-r10e"
	
	La plataforma que se uso fue la version 13, pero puedes usar otra version
	que se desea puedes usar la version 13
	ejemplo: miplafaforms="13"
	
	La version de compilador que se uso durante la prueba fue 4.8 o 4.9, aunque habia usado ndk 9, 
	que tambien funciono.
	ejemplo: mitoolchains="4.9"
 
3.  Openssl https://www.openssl.org/source/ o ftp://ftp.openssl.org/source/
	Esta es la version que usamos durante la fase de compilacion, 
	se recomienda usar siempre el actualizado.
	Notose que si desea usar otro paquete busque el ftp de openssl y 
	sustituya el nombre.
	La version que se uso fue 
	ejemplo: srcOpensll="openssl-1.0.1e"

4. libiconv http://ftp.gnu.org/gnu/libiconv/
	Esta es la version que usamos durante la fase de compialcion, 
	se recomienda usar siempre el actualizado.
	Notose que si desea usar otro paquete busque el ftp de libiconv y 
	sustituya el nombre.
	ejemplo:  srcLibiconv="libiconv-1.14"

	Compilacion del driver:

abrir un terminal darle premisos con chmod 777 AndroidMysqlAndroid_x86_32_Y_x86_64.sh
Luego ejecutar en la terminal ./AndroidMysqlAndroid_x86_32_Y_x86_64.sh
Elegir el driver que desea compilar.
En caso que tienes el una ubicacion como  /usr/xxx o /opt/xx el ndk o Qt tienes que darle inicar el modo root con su o sudo. El script descargar todos los archivos necesarios durante la compilacion como: postgres.

uso del driver:
solo bastara anadir el archivo .pro esto QT += sql

Nota:
Yo probe la version arm5, arm7 y x86, funciona correctamente, sin ningun tipo de poblema.
otra cosa debes configurar postgres para que pueda recivir coneccion por medio de internet o una lan.

Igual adjunto una aplicacion para que puedes probar el driver que funciona.