
###########################################################################################
##      					Mundo Choc Cac
##  Author : 
##	Home Page 	: http://qt-project.org/wiki/Build_Qt5_mysql_plugin_for_Android
##  Author    	: Mynor Rene Choc Cac <mynorrene@choccac.com>
##	Home Page 	: http://www.mynorrene.choccac.com
##  Project   	: Driver Mysql
##  Date      	: 2015-06-08T16:06:39
##  License   	: GPL3 and Digia
##  Comment   	: none
##  Plataform 	: android_armv5, android_armv7 y android_x86.
##  FileName  	: libqsqlmysql.so
##  Dependency	: 	libmariadb.so
## 					liblog.so
##					libz.so
##					libdl.so
##					libstdc++.so
##					libm.so
##					libc.so
##  This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
##  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
## 
###########################################################################################
##http://qt-project.org/wiki/Build_Qt5_mysql_plugin_for_Android

Compilation android_armv5 mysql driver, android_armv7 and android_x86.

  phase configuration for compilation:
  
1. Sdk Qt http://www.qt.io/download-open-source/#section-2

This is where the directory where we Qt will be included.
It was noticed that the end does not carry the slash "/".
The version used was beta (http://download.qt.io/development_releases/qt/5.5/5.5.0-beta/) or stable version 5.4.2, both were with support for android.
example: lugarSr = "/ home /" $ USER "/Qt5.5.0/5.5"
or
example: lugarSr = "/ home / your_username / Qt5.5.0 / 5.5"

Remember that here suppose we have installed in our home Qt.

2. NDK https://developer.android.com/intl/es/ndk/downloads/index.html
this version is usury but you can use an earlier or later version, remember down the right NDK as may be 64 bits or 32 bits.
It was noticed that the end does not carry the slash "/".
example: miSdk = "/ home /" $ USER "/ Android / android-NDK-r10e"
or
example: miSdk = "/ home / tu_usario / Android / android-NDK-r10e"

The platform used was the version 13, but you can use another version
that you wish you can use the version 13
example miplafaforms = "13"

The compiler version that was used during the test was 4.8 or 4.9, but had used NDK 9
which also I worked.
example mitoolchains = "4.9"
 
3. Openssl https://www.openssl.org/source/ or ftp://ftp.openssl.org/source/
This is the version we used during the compilation,
It is recommended to always use the updated.
It was noticed that if you want to use another package openssl look ftp and
substitute the name.
The version used was
example: srcOpensll = "openssl-1.0.1e"

4. libiconv http://ftp.gnu.org/gnu/libiconv/
This is the version we use during the compialcion,
It is recommended to always use the updated.
It was noticed that if you want to use another package libiconv locate the FTP and
substitute the name.
example: srcLibiconv = "libiconv-1.14"

Compiling the driver:

open a terminal premisos give chmod 777 AndroidMysqlAndroid_x86_32_Y_x86_64.sh
Then run in the terminal ./AndroidMysqlAndroid_x86_32_Y_x86_64.sh
Choose the driver you want to compile.
If you have the a location such as / usr / xxx or / opt / xx the NDK or Qt inicar have to give way to your root or sudo. The script will download all necessary files for the compilation as postgres.

use of the driver:
just enough add the .pro file this QT + = sql

Note:
I tried the version arm5, arm7 and x86, working properly, without any kind of poblema.
otherwise postgres must configure to enable RECEIVE CONNECTION through the Internet or LAN.

Like attached an application so you can test the driver works.